Installing any remote access program PI4B 4GB x64 20.04

Hello!

I recently installed Ubuntu mate on my PI so I can use it as a server on my home network. However when I try to install any remove access program it gives me errors. I Tried with TeamViewer & any desk both say
Dependency id not satisfiable: libc6(>=2.7) Anydesk &
Dependency id not satisfiable: libc6(>=2.17) TeamViewer

I can't seem to fix it. I tried to google and it says to install lower version of Libc6 but I don't know how to downgrade via terminal. Im pretty new to linux.

Thanks in advance :slightly_smiling_face: